> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get order by email

> Get order by email



## OpenAPI

````yaml oms_v1 get /api-order/orders/user/guest
openapi: 3.0.0
info:
  description: Order Management System
  version: 1.0.0
  title: Orders v1 (OMS v1)
  contact:
    email: oms-team@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01-apigw.{customer_name}.fabric.zone
    description: Production
    variables:
      customer_name:
        default: yourcompany
        description: Customer name, provided by support team
security: []
tags:
  - name: Cart
    description: >-
      Cart APIs<br /><br />**Note:** These are the legacy Cart APIs. To view
      fabric's new Cart APIs, navigate to *Cart API > Cart* from the left side
      navigation pane.
  - name: Bill To
    description: Bill To APIs [Deprecated]
  - name: Ship To
    description: >-
      Ship To APIs<br /><br />**Note:** These are the legacy Ship To APIs. To
      view fabric's new Shipping APIs, navigate to *Cart API > Shipping* from
      the left side navigation pane.
  - name: Wishlist
    description: Wishlist APIs
  - name: Cart Decoupled
    description: Cart Decoupled APIs
  - name: Warehouse
    description: Warehouse APIs
  - name: Inventory
    description: Inventory APIs
  - name: Attributes
    description: >-
      Attributes APIs<br /><br />**Note:** These are the legacy Attribute APIs.
      To view fabric's new Attribute APIs, navigate to *Cart API > Attribute*
      from the left side navigation pane.
  - name: List
    description: List APIs
  - name: Tax/Address Validate
    description: Tax/Address Validate APIs
  - name: Shipping
    description: Shipping APIs
  - name: Payments
    description: Payments APIs
  - name: Order
    description: Order APIs
paths:
  /api-order/orders/user/guest:
    get:
      tags:
        - Order
      summary: Get order by email
      description: Get order by email
      operationId: GetOrderByEmail
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
            example: 0LybWR49k95cCwYh3cu0waCYoh4H2Eux2J52wn4k
        - $ref: '#/components/parameters/xSiteContent'
        - in: query
          name: orderEmail
          schema:
            type: string
            format: email
            example: johnsmith@gmail.com
          required: true
          description: User email that we want to get orders for.
      responses:
        '200':
          description: Order
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    _id:
                      type: string
                      example: 60271eb8f69adb00083a80ac
                    tags:
                      type: array
                    cartId:
                      type: string
                      example: 602710f862e75a0009ed25b7
                    attributes:
                      type: array
                      items:
                        type: object
                        properties:
                          price:
                            type: number
                            example: 4
                          _id:
                            type: string
                            example: 60271baf8e1368000914bd0e
                          attributeId:
                            type: string
                            example: 60270ac95b4c090007cafde3
                          value:
                            type: string
                            example: true
                          name:
                            type: string
                            example: Small Package Giftwrap
                          type:
                            type: string
                            example: bool
                          id:
                            type: string
                            example: 60271baf8e1368000914bd0e
                    customerEmail:
                      type: string
                      example: abid@fabric.inc
                    orderCurrency:
                      type: string
                      example: USD
                    orderTotal:
                      type: number
                      example: 8433
                    taxTotal:
                      type: number
                      example: 22
                    channel:
                      type: number
                      example: 12
                    status:
                      type: string
                      example: ORDER_CREATED
                    statusLog:
                      type: string
                      example: Order has been created
                    orderReference:
                      type: string
                      example: 6015-4453-86622
                    orderId:
                      type: string
                      example: 1461-8514-32344
                    shipTo:
                      type: array
                      items:
                        type: object
                        properties:
                          address:
                            type: object
                            properties:
                              name:
                                type: object
                                properties:
                                  first:
                                    type: string
                                    example: Mike
                                  middle:
                                    type: string
                                    example: p
                                  last:
                                    type: string
                                    example: holard
                              phone:
                                type: object
                                properties:
                                  number:
                                    type: string
                                    example: 998-992-9404
                                  kind:
                                    type: string
                                    example: Mobile
                              street1:
                                type: string
                                example: 3520 Crowley Drive
                              city:
                                type: string
                                example: Vancouver
                              state:
                                type: string
                                example: BC
                              country:
                                type: string
                                example: Canada
                              zipCode:
                                type: string
                                example: 98004
                              kind:
                                type: string
                                example: shipping
                              email:
                                type: string
                                example: mike@fabric.inc
                          promosApplied:
                            type: array
                          _id:
                            type: string
                            example: 60271c6d8d9f7a000852a107
                          shipToType:
                            type: string
                            example: SHIP_TO_ADDRESS
                          taxCode:
                            type: string
                            example: FR1000
                          shipToId:
                            type: number
                            example: 49
                          price:
                            type: number
                            example: 5
                          currency:
                            type: string
                            example: USD
                          shipmentMethodId:
                            type: string
                            example: 10002
                          estimatedTax:
                            type: number
                            example: 2
                          shipmentCarrier:
                            type: string
                            example: Fedex
                          shipmentMethod:
                            type: string
                            example: Next Day
                          total:
                            type: number
                            example: 7
                          id:
                            type: string
                            example: 60271c6d8d9f7a000852a107
                    items:
                      type: array
                      items:
                        type: object
                        properties:
                          group:
                            type: array
                            items:
                              type: string
                              example: 1.2312312312312322e+23
                          promosApplied:
                            type: array
                            items:
                              type: object
                              properties:
                                unit:
                                  type: string
                                  example: 10%OFF
                                value:
                                  type: number
                                  example: 16
                                'ON':
                                  type: object
                                  properties:
                                    kind:
                                      type: string
                                      example: SKU
                                    value:
                                      type: string
                                      format: nullable
                                id:
                                  type: string
                                  example: 6023f20cb609010008c06af8
                                promoId:
                                  type: string
                                  example: 6023f20cb609010008c06af6
                          _id:
                            type: string
                            example: 602710f862e75a0009ed25b8
                          price:
                            type: number
                            example: 8400
                          weightUnit:
                            type: string
                            example: kg
                          itemId:
                            type: number
                            example: 1000000050
                          quantity:
                            type: number
                            example: 1
                          priceListId:
                            type: number
                            example: 100000
                          sku:
                            type: string
                            example: WATCH123456
                          taxCode:
                            type: string
                            example: PAC12345
                          title:
                            type: string
                            example: Watch
                          weight:
                            type: number
                            example: 2
                          lineItemId:
                            type: number
                            example: 1
                          attributeTotalPrice:
                            type: number
                            example: 2
                          attributes:
                            type: array
                            items:
                              type: object
                              properties:
                                price:
                                  type: number
                                  example: 2
                                _id:
                                  type: string
                                  example: 60271b3cfb9109000886b4a9
                                attributeId:
                                  type: string
                                  example: 602714e50e8f780007e66d97
                                value:
                                  type: string
                                  example: Happy for you
                                name:
                                  type: string
                                  example: Item Level free Text
                                type:
                                  type: string
                                  example: string
                                id:
                                  type: string
                                  example: 60271b3cfb9109000886b4a9
                          currency:
                            type: string
                            example: USD
                          shipToId:
                            type: number
                            example: 49
                          discount:
                            type: number
                            example: 1600
                          estimatedTax:
                            type: number
                            example: 20
                          total:
                            type: number
                            example: 8420
                          id:
                            type: string
                            example: 602710f862e75a0009ed25b8
                    shipments:
                      type: array
                    payments:
                      type: array
                      items:
                        type: object
                        properties:
                          billToAddress:
                            type: object
                            properties:
                              name:
                                type: object
                                properties:
                                  first:
                                    type: string
                                    example: Mike
                                  last:
                                    type: string
                                    example: holard
                              phone:
                                type: object
                                properties:
                                  number:
                                    type: string
                                    example: 7780811973
                                  kind:
                                    type: string
                                    example: Mobile
                              email:
                                type: string
                                example: mike@fabric.inc
                              street1:
                                type: string
                                example: 345 67 Main Street
                              street2:
                                type: string
                                example: tex
                              city:
                                type: string
                                example: AUSTIN
                              state:
                                type: string
                                example: TX
                              country:
                                type: string
                                example: US
                              zipCode:
                                type: string
                                example: 1003
                          shipToId:
                            type: array
                            items:
                              type: number
                              example: 49
                          _id:
                            type: string
                            example: 60271eb8f69adb00083a80b1
                          paymentIdentifier:
                            type: object
                            properties:
                              cardIdentifier:
                                type: string
                                example: 1111
                          paymentMethod:
                            type: string
                            example: Visa
                          paymentKind:
                            type: string
                            example: Fabric User
                          amount:
                            type: number
                            example: 8433
                          currency:
                            type: string
                            example: USD
                          conversion:
                            type: number
                            example: 1
                          paymentToken:
                            type: object
                            properties:
                              token:
                                type: string
                                example: 40059083049
                              type:
                                type: string
                                example: CARD
                          id:
                            type: string
                            example: 60271eb8f69adb00083a80b1
                    revision:
                      type: number
                      example: 0
                    totalQuantity:
                      type: number
                      example: 1
                    statusDescriptions:
                      type: array
                    events:
                      type: array
                    createdAt:
                      type: string
                      example: '2021-02-13T00:35:04.240Z'
                    updatedAt:
                      type: string
                      example: '2021-02-13T00:35:04.240Z'
                    __v:
                      type: number
                      example: 0
        '400':
          $ref: '#/components/responses/GenericClientError'
        '403':
          $ref: '#/components/responses/MissingXApiKeyHeader'
        '500':
          $ref: '#/components/responses/GenericServerError'
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  responses:
    GenericClientError:
      description: A generic client error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string
    MissingXApiKeyHeader:
      description: Missing x-api-key in header
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                description: The error message
                example: Forbidden
                type: string
    GenericServerError:
      description: A generic server error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string

````